Bug 1270677 - [DOCS] Document Docker registry v2 rpm
[DOCS] Document Docker registry v2 rpm
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: doc-RHEL-Atomic (Show other bugs)
7.1
Unspecified Unspecified
high Severity medium
: rc
: 7.2
Assigned To: Chris Negus
Chris Negus
Vikram Goyal
: Documentation
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-12 02:31 EDT by Vikram Goyal
Modified: 2016-05-12 04:55 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-05-12 04:55:25 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Vikram Goyal 2015-10-12 02:31:33 EDT
Update Getting Started with Containers guide [1] with the details of how to install and use docker's v2 registry via rpms on Atomic Host.

"There is a new docker-registry rpm with docker v2 registry called ""docker-distribution"


Upstream Dev Trello card [2].


[1] https://access.redhat.com/documentation/en/red-hat-enterprise-linux-atomic-host/version-7/getting-started-with-containers/

[2] https://trello.com/c/mU0Ja1Em/739-package-up-v2-registry-for-fedora-rhel-centos-7-2
Comment 2 Zac Dover 2015-11-16 09:44:28 EST
Full upstream docs for this component are available here:
https://github.com/docker/distribution/tree/master/docs
Comment 8 Chris Negus 2016-05-11 00:07:29 EDT
The "Getting Started with Containers" guide (Docker Chapter) now describes how to install, enable and start the docker-distribution package (which implements the Docker v2 registry). It also tells how to push and pull containers between the client and the registry. When it is published for 7.2.4, it will appear here:
   https://access.redhat.com/documentation/en/red-hat-enterprise-linux-atomic-host/version-7/getting-started-with-containers/#working_with_docker_registries

Note You need to log in before you can comment on or make changes to this bug.